-- name: [CS] Boyfriend
-- description: "beep bop!" Boyfriend from Friday Night Funkin'

local E_MODEL_BOYFRIEND = smlua_model_util_get_id("boyfrim_geo")
local TEX_BF = get_texture_info("icon-bf")

local TEXT_MOD_NAME = "Boyfriend"

local VOICETABLE_BF = {
    [CHAR_SOUND_ATTACKED] = 'Dah.ogg',
	[CHAR_SOUND_EEUH] = 'euh.ogg',
	[CHAR_SOUND_LETS_A_GO] = 'yeah_short.ogg',
    [CHAR_SOUND_DROWNING] = 'ah.ogg',
    [CHAR_SOUND_DYING] = 'dies.ogg',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'taa.ogg',
    [CHAR_SOUND_HAHA] = 'hey.ogg',
    [CHAR_SOUND_HAHA_2] = 'hey.ogg',
	[CHAR_SOUND_DOH] = 'uhh.ogg',
    [CHAR_SOUND_HERE_WE_GO] = 'YEAH.ogg',
    [CHAR_SOUND_HOOHOO] = 'poat.ogg',
    [CHAR_SOUND_MAMA_MIA] = 'beep.ogg',
    [CHAR_SOUND_OKEY_DOKEY] = 'YEAH.ogg',
    [CHAR_SOUND_ON_FIRE] = 'Dah.ogg',
    [CHAR_SOUND_OOOF] = 'at.ogg',
    [CHAR_SOUND_OOOF2] = 'at.ogg',
	[CHAR_SOUND_HRMM] = 'tai.ogg',
    [CHAR_SOUND_PUNCH_HOO] = 'A.ogg',
    [CHAR_SOUND_PUNCH_WAH] = 'keith.ogg',
    [CHAR_SOUND_PUNCH_YAH] = 'dei.ogg',
	[CHAR_SOUND_UH] = 'u.ogg',
    [CHAR_SOUND_UH2] = 'uuu.ogg',
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'ha-ha.ogg',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'pum.ogg',
    [CHAR_SOUND_WAAAOOOW] ='euh.ogg',
    [CHAR_SOUND_WAH2] = 'dai.ogg',
    [CHAR_SOUND_WHOA] = 'euh.ogg',
    [CHAR_SOUND_YAHOO] = 'omp2.ogg',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = {'dai.ogg', 'paa.ogg', 'aii.ogg'},
    [CHAR_SOUND_YAH_WAH_HOO] = {'aii.ogg', 'beep.ogg', 'taa.ogg'},
}

local PALETTE_BF = {
    [PANTS]  = { r = 0x00, g = 0x44, b = 0xCC },
    [SHIRT]  = { r = 0xFE, g = 0xEB, b = 0xF7 },
    [GLOVES] = { r = 0xFE, g = 0xEB, b = 0xF7 },
    [SHOES]  = { r = 0xFF, g = 0x1B, b = 0x1F },
    [HAIR]   = { r = 0x66, g = 0xFF, b = 0xFF },
    [SKIN]   = { r = 0xFD, g = 0xC7, b = 0xA1 },
    [CAP]    = { r = 0xFF, g = 0x1B, b = 0x1F },
    [EMBLEM] = { r = 0x2C, g = 0x4A, b = 0x84 }
}

if _G.charSelectExists then
    _G.charSelect.character_add("Boyfriend", {"Beep bop bo!", "The Boyfriend from the hit game Friday Night Funkin'", "in takes his way in super mario 64!", }, "Wall_E20", {r = 0, g = 137, b = 255}, E_MODEL_BOYFRIEND, CT_MARIO, TEX_BF)

	_G.charSelect.character_add_voice(E_MODEL_BOYFRIEND, VOICETABLE_BF)
    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_BF then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_BF then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end
_G.charSelect.character_add_palette_preset(E_MODEL_BOYFRIEND, PALETTE_BF)
